Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1809)
+++ palm/trunk/SOURCE/Makefile	(revision 1817)
@@ -20,5 +20,5 @@
 # Current revisions:
 # ------------------
-# 
+# Renamed land_surface_model to land_surface_model_mod.
 # 
 # Former revisions:
@@ -259,5 +259,5 @@
 	init_grid.f90 init_masks.f90 init_ocean.f90 \
 	init_pegrid.f90 init_pt_anomaly.f90 init_rankine.f90 init_slope.f90 \
-	interaction_droplets_ptq.f90 land_surface_model.f90 \
+	interaction_droplets_ptq.f90 land_surface_model_mod.f90 \
 	local_stop.f90 local_system.f90 local_tremain.f90 \
 	local_tremain_ini.f90 lpm.f90 lpm_advec.f90 lpm_boundary_conds.f90 \
@@ -340,5 +340,5 @@
 advec_w_pw.o: modules.o mod_kinds.o
 advec_w_up.o: modules.o mod_kinds.o
-average_3d_data.o: modules.o cpulog.o mod_kinds.o land_surface_model.o\
+average_3d_data.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o\
                    radiation_model.o
 boundary_conds.o: modules.o mod_kinds.o
@@ -350,5 +350,5 @@
 check_for_restart.o: modules.o mod_kinds.o pmc_interface.o
 check_open.o: modules.o mod_kinds.o mod_particle_attributes.o netcdf_interface.o
-check_parameters.o: modules.o mod_kinds.o land_surface_model.o \
+check_parameters.o: modules.o mod_kinds.o land_surface_model_mod.o \
 	netcdf_interface.o plant_canopy_model.o pmc_interface.o radiation_model.o \
 	subsidence.o
@@ -370,7 +370,7 @@
 data_output_tseries.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o
 data_output_2d.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o\
-   netcdf_interface.o land_surface_model.o radiation_model.o
+   netcdf_interface.o land_surface_model_mod.o radiation_model.o
 data_output_3d.o: modules.o cpulog.o mod_kinds.o mod_particle_attributes.o\
-   netcdf_interface.o land_surface_model.o
+   netcdf_interface.o land_surface_model_mod.o
 diffusion_e.o: modules.o mod_kinds.o
 diffusion_s.o: modules.o mod_kinds.o
@@ -386,8 +386,8 @@
 exchange_horiz_2d.o: modules.o cpulog.o mod_kinds.o
 fft_xy.o: cuda_fft_interfaces.o modules.o mod_kinds.o singleton.o temperton_fft.o
-flow_statistics.o: modules.o cpulog.o mod_kinds.o land_surface_model.o\
+flow_statistics.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o\
    netcdf_interface.o radiation_model.o
 global_min_max.o: modules.o mod_kinds.o
-header.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o land_surface_model.o\
+header.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o land_surface_model_mod.o\
    plant_canopy_model.o pmc_handle_communicator.o pmc_interface.o \
    radiation_model.o spectrum.o subsidence.o 
@@ -395,5 +395,5 @@
 inflow_turbulence.o: modules.o cpulog.o mod_kinds.o
 init_1d_model.o: modules.o mod_kinds.o
-init_3d_model.o: modules.o mod_kinds.o advec_ws.o cpulog.o land_surface_model.o \
+init_3d_model.o: modules.o mod_kinds.o advec_ws.o cpulog.o land_surface_model_mod.o \
    lpm_init.o ls_forcing.o netcdf_interface.o plant_canopy_model.o \
    radiation_model.o random_function.o random_generator_parallel.o \
@@ -411,5 +411,5 @@
 init_slope.o: modules.o mod_kinds.o
 interaction_droplets_ptq.o: modules.o mod_kinds.o
-land_surface_model.o: modules.o mod_kinds.o radiation_model.o
+land_surface_model_mod.o: modules.o mod_kinds.o radiation_model.o
 local_stop.o: modules.o mod_kinds.o pmc_interface.o
 local_tremain.o: modules.o cpulog.o mod_kinds.o
@@ -452,11 +452,11 @@
 mod_particle_attributes.o: mod_particle_attributes.f90 mod_kinds.o
 netcdf_interface.o: netcdf_interface.f90 modules.o mod_kinds.o \
-   land_surface_model.o spectrum.o
+   land_surface_model_mod.o spectrum.o
 nudging.o: modules.o cpulog.o mod_kinds.o
-package_parin.o: modules.o mod_kinds.o land_surface_model.o \
+package_parin.o: modules.o mod_kinds.o \
    plant_canopy_model.o radiation_model.o spectrum.o
 palm.o: modules.o cpulog.o ls_forcing.o mod_kinds.o nudging.o\
 	pmc_interface.o surface_layer_fluxes.o
-parin.o: modules.o cpulog.o mod_kinds.o netcdf_interface.o \
+parin.o: modules.o cpulog.o land_surface_model_mod.o mod_kinds.o netcdf_interface.o \
    pmc_interface.o progress_bar.o
 plant_canopy_model.o: modules.o mod_kinds.o
@@ -487,5 +487,5 @@
 random_gauss.o: mod_kinds.o random_function.o random_generator_parallel.o
 random_generator_parallel.o: mod_kinds.o
-read_3d_binary.o: modules.o cpulog.o mod_kinds.o land_surface_model.o\
+read_3d_binary.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o\
                   radiation_model.o random_function.o\
                   random_generator_parallel.o
@@ -497,13 +497,13 @@
 spectrum.o: spectrum.f90 modules.o mod_kinds.o cpulog.o fft_xy.o
 subsidence.o: modules.o mod_kinds.o
-sum_up_3d_data.o: modules.o cpulog.o mod_kinds.o land_surface_model.o\
+sum_up_3d_data.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o\
                   radiation_model.o 
 surface_coupler.o: modules.o cpulog.o mod_kinds.o
-surface_layer_fluxes.o: modules.o mod_kinds.o land_surface_model.o
-swap_timelevel.o: modules.o cpulog.o mod_kinds.o land_surface_model.o\
+surface_layer_fluxes.o: modules.o mod_kinds.o land_surface_model_mod.o
+swap_timelevel.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o\
    pmc_interface.o
 temperton_fft.o: modules.o mod_kinds.o
 time_integration.o: modules.o advec_ws.o buoyancy.o calc_mean_profile.o \
-	cpulog.o interaction_droplets_ptq.o land_surface_model.o \
+	cpulog.o interaction_droplets_ptq.o land_surface_model_mod.o \
 	ls_forcing.o mod_kinds.o nudging.o pmc_interface.o production_e.o \
 	prognostic_equations.o progress_bar.o radiation_model.o \
@@ -531,5 +531,5 @@
 user_init_3d_model.o: modules.o mod_kinds.o user_module.o
 user_init_grid.o: modules.o mod_kinds.o user_module.o
-user_init_land_surface.o: modules.o mod_kinds.o user_module.o land_surface_model.o
+user_init_land_surface.o: modules.o mod_kinds.o user_module.o land_surface_model_mod.o
 user_init_plant_canopy.o: modules.o mod_kinds.o user_module.o plant_canopy_model.o
 user_init_radiation.o: modules.o mod_kinds.o user_module.o radiation_model.o
@@ -544,5 +544,5 @@
 user_statistics.o: modules.o mod_kinds.o netcdf_interface.o user_module.o
 wall_fluxes.o: modules.o mod_kinds.o
-write_3d_binary.o: modules.o cpulog.o mod_kinds.o land_surface_model.o\
+write_3d_binary.o: modules.o cpulog.o mod_kinds.o land_surface_model_mod.o\
                    radiation_model.o random_function.o\
                    random_generator_parallel.o
